aboutsummaryrefslogtreecommitdiff
path: root/tests/file-wait
diff options
context:
space:
mode:
authorThomas White <taw@physics.org>2022-03-01 17:29:59 +0100
committerThomas White <taw@physics.org>2022-03-02 09:46:30 +0100
commit31f03d0a978df94d4336394923d698c1689d7fcf (patch)
tree6f4915b93ddd2da599afe0f25b3135e69c446fc0 /tests/file-wait
parente882d83df17ce283a2084161d5b02c80a10f9a92 (diff)
Add tests/file-wait
This tests that indexamajig --wait-for-file works
Diffstat (limited to 'tests/file-wait')
-rwxr-xr-xtests/file-wait38
1 files changed, 38 insertions, 0 deletions
diff --git a/tests/file-wait b/tests/file-wait
new file mode 100755
index 00000000..69c11c90
--- /dev/null
+++ b/tests/file-wait
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+INDEXAMAJIG=$1
+INFILE=$2
+GEOM=$3
+
+function make_link {
+ sleep 5
+ ln -s $INFILE file_wait_input.h5
+}
+
+if [ -f file_wait_input.h5 ]; then
+ echo file_wait_input.h5 exists. Not proceeding!
+ exit 1
+fi
+
+if [ -f file_wait_input.lst ]; then
+ echo file_wait_input.lst exists. Not proceeding!
+ exit 1
+fi
+
+if [ -f file_wait_input.stream ]; then
+ echo file_wait_input.stream exists. Not proceeding!
+ exit 1
+fi
+
+make_link &
+
+echo "file_wait_input.h5" > file_wait_input.lst
+$INDEXAMAJIG -i file_wait_input.lst -o file_wait_input.stream -g $GEOM --wait-for-file=10
+OUTVAL=$?
+
+wait
+rm -f file_wait_input.h5 file_wait_input.lst file_wait_input.stream
+
+if [ $OUTVAL -ne 0 ]; then
+ exit 1;
+fi